#ifndef NODE_HPP
#define NODE_HPP

#include "Card.hpp"

class Node{

	Node *next;
	Card *c;

	public:

		Node();
		Node(Card *newCard);
		~Node();
		Node *getNext();
		void appendNode(Card *newCard);
		void printCard();

		void setNext(Node *nextNode);

                Card *getCard(); //Returns card in node (with removal)
                Card *peekCard(); //Returns card in node (without removal)
		
};


#endif
