#ifndef PILE_HPP
#define PILE_HPP

#include "Node.hpp"


class Pile{

	Node *listHead;
	
	public:

		Pile(bool fullDeck);
		~Pile();
		int newCardToList(Card *c);
                int addTopCard(Card *c); //Add card to top of Pile
		void printPile();
		
                Card *drawCard(); //Returns the top card and removes it from the Pile
                Card *peekCard(); //Look at top card (without removing)

};




#endif
